| Home | Libraries | People | FAQ | More

## Function template make_constant_iterator

boost::compute::make_constant_iterator

## Synopsis

    // In header: <boost/compute/iterator/constant_iterator.hpp>

    template<typename T>
      constant_iterator< T >
      make_constant_iterator(const T & value, size_t index = 0);

## Description

Returns a new `constant_iterator` with `value` at `index`.

Parameters:

`index` | the iterators index
`value` | the constant value

Returns: | a `constant_iterator` with `value`